import { CommonSelectProps, GroupedSelectProps, ListSelectProps, MultiSelectCommon, SelectOptionRequired, SingleSelectCommon } from './Select.types';
export type SelectComponentProps<T extends SelectOptionRequired> = CommonSelectProps<T> & (SingleSelectCommon<T> | MultiSelectCommon<T>) & (ListSelectProps<T> | GroupedSelectProps<T>);
export declare const Select: <T extends SelectOptionRequired>(props: SelectComponentProps<T>) => import("react/jsx-runtime").JSX.Element;
