import"react";import"../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../atoms/enums/Environment.js";import"../../atoms/utils/auth_environment.js";import"../TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"../../providers/TutorialStepsProvider.js";import{elevation as r,shape as t,typography as o}from"../../atoms/style/index.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import"react/jsx-runtime";import"../../deprecated/ErrorPage/illustrations/GlitchAnimation.js";import"../../deprecated/ErrorPage/illustrations/QuestioningAnimation.js";import"proj4";import"html2canvas";import{Chip as i}from"../../molecules/Chip/Chip.js";import{motion as e}from"framer-motion";import s,{css as a}from"styled-components";import{colors as n}from"../../atoms/style/colors.js";import{spacings as m}from"../../atoms/style/spacings.js";const p=s.div`
  width: 100%;
  box-shadow: ${r.raised};
  background: ${n.ui.background__default.rgba};
  border-radius: ${t.corners.borderRadius};
  overflow: hidden;
`,d=s.div`
  display: grid;
  grid-template-columns: auto 1fr auto auto;
  align-items: center;
  width: 100%;
  gap: ${m.small};
  padding: ${m.medium_small} ${m.small};
  border-bottom: 1px solid
    ${({$open:r})=>r?n.ui.background__medium.rgba:"transparent"};
  transition: border-bottom 200ms;
  cursor: pointer;
  > section {
    display: flex;
    flex-wrap: wrap;
    gap: ${m.x_small};
  }
  > button {
    width: 24px;
    height: 24px;
    &:after {
      width: 24px;
      height: 24px;
    }
  }
  > svg:last-child {
    grid-column: 4;
  }
`,l=s.input`
  background: transparent;
  width: 0;
  flex-grow: 1;
  padding: 0;
  font-family: 'Equinor', sans-serif;
  font-size: ${o.input.text.fontSize};
  font-weight: ${o.input.text.fontWeight};
  color: ${n.text.static_icons__default.rgba};
  outline: none;
  border: none;
  &::placeholder {
    opacity: 1;
    color: ${n.text.static_icons__tertiary.rgba};
  }
  &::-webkit-search-cancel-button,
  &::-webkit-search-results-button,
  &::-webkit-search-results-decoration {
    display: none;
  }
`,u=s(e.div)`
  > section {
    padding: ${m.medium};
    display: flex;
    flex-direction: column;
    gap: ${m.medium};
    ${({$showClearFilterButton:r})=>{if(r)return a`
          > div:last-child {
            display: grid;
            grid-template-columns: 1fr auto;
            gap: ${m.medium};

            > button {
              align-self: flex-end;
            }
          }
        `}}
  }
`,c=s(i)`
  ${({$tryingToRemove:r})=>{if(r)return a`
        background: ${n.interactive.primary__hover_alt.rgba};
      `}}
`;export{d as Container,u as Content,l as SearchField,c as StyledChip,p as Wrapper};
