import { FC, ReactNode } from 'react';
interface StatusProps {
    color?: string;
    expectedBackgroundColor?: string;
    center?: boolean;
    children: ReactNode | ReactNode[];
}
/**
 *
 * @param color - Sets the color that is used in the illustration, defaults to primary resting
 * @param expectedBackgroundColor - Sets the color of the "top" svg path, defaults to background.light
 * @param children - content "inside", typically Status.Title etc.
 * @param center - Centers the status component (using position fixed), defaults to true
 */
export declare const Status: FC<StatusProps>;
export {};
