import { Action } from './Action';
import { Description } from './Description';
import { MissingAccesses } from './MissingAccesses';
import { Status as BaseStatus } from './Status';
import { Title } from './Title';
type StatusType = typeof BaseStatus & {
    Title: typeof Title;
    Description: typeof Description;
    Action: typeof Action;
    MissingAccesses: typeof MissingAccesses;
};
export declare const Status: StatusType;
export type { StatusType };
