import{jsxs as e,Fragment as t,jsx as o}from"react/jsx-runtime";import{useState as r,useRef as i}from"react";import{Icon as s,Typography as l,Button as n,Menu as m}from"@equinor/eds-core-react";import{account_circle as a,check as c,more_horizontal as p,edit as d,delete_to_trash as u}from"@equinor/eds-icons";import{Container as j,RoleChipContainer as h,RoleChip as g}from"./UserImpersonation.styles.js";import{colors as v}from"../../../../atoms/style/colors.js";import"../../../../molecules/AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../../../../molecules/ApplicationIcon/ApplicationIcon.js";import"../../../../molecules/Badge/Badge.styles.js";import"../../../../molecules/Banner/Banner.styles.js";import"../../../../molecules/Chip/Chip.js";import"../../../../molecules/ContentMenu/ContentMenu.js";import"../../../../molecules/DatePicker/DatePicker.js";import"../../../../molecules/Dialog/Dialog.js";import"../../../../molecules/EquinorLogo/EquinorLogo.js";import"../../../../molecules/FileProgress/CompactFileProgress.styles.js";import"../../../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../../../_virtual/lodash.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../../../atoms/enums/Environment.js";import"../../../../atoms/utils/auth_environment.js";import"../../Notifications/NotificationProvider.js";import"../../../../providers/AuthProvider/AuthProvider.js";import"../../../../providers/ReleaseNotesProvider.js";import"../../../../providers/SideBarProvider.js";import"../../../../providers/SnackbarProvider/SnackbarProvider.js";import"../../../../providers/StepperProvider.js";import"../../../../providers/TableOfContentsProvider.js";import"../../../../providers/ThemeProvider/ThemeProvider.js";import"../../../../providers/TutorialStepsProvider.js";import"../../../../atoms/enums/Errors.js";import"../../../../atoms/enums/Theme.js";import"../../../../atoms/enums/SpacingsMode.js";import"../../../../deprecated/ErrorPage/illustrations/GlitchAnimation.js";import"../../../../deprecated/ErrorPage/illustrations/QuestioningAnimation.js";import"proj4";import"html2canvas";import"../../../../molecules/FileProgress/RegularFileProgress.styles.js";import"../../../../molecules/FileUploadArea/FileUploadArea.js";import"../../../../molecules/FullPageSpinner/FullPageSpinner.js";import"../../../../molecules/InfoElement/InfoElement.js";import{OptionalTooltip as S}from"../../../../molecules/OptionalTooltip/OptionalTooltip.js";import"../../../../molecules/ProfileAvatar/ProfileAvatar.js";import"@tiptap/react";import"../../../../molecules/RichTextEditor/RichTextEditor.styles.js";import"../../../../molecules/RichTextEditor/MenuBar/MenuBar.js";import"../../../../molecules/RichTextEditor/MenuBar/MenuBar.styles.js";import"../../../../molecules/RichTextEditor/MenuBar/MenuButton.js";import"../../../../molecules/Search/Search.js";import"react-router-dom";import"../../../../molecules/Sieve/Sieve.styles.js";import"../../../../molecules/SingleFilterMenu/SingleFilterMenu.js";import"../../../../molecules/Skeleton/SkeletonBase/SkeletonBase.js";import"../../../../molecules/Stepper/Stepper.js";import"../../../../molecules/OptionDrawer/OptionDrawer.js";import"../../../../molecules/Select/Select.styles.js";import{ListItem as P}from"../../../../molecules/ListItem/ListItem.js";import"../../../../molecules/SelectionControls/Checkbox/Checkbox.js";import"../../../../molecules/SelectionControls/Radio/Radio.js";import"../../../../molecules/SelectionControls/Switch/Switch.js";import f from"styled-components";const C=f(P)`
  svg {
    fill: ${v.interactive.danger__resting.rgba};
  }
  p {
    color: ${v.interactive.danger__resting.rgba};
  }
  &:disabled {
    svg {
      fill: ${v.interactive.disabled__text.rgba};
    }
  }
  &:hover:not(:disabled) {
    background: ${v.interactive.danger__highlight.rgba};
  }
`,k=({fullName:f,uniqueName:k,roles:b,activeUsers:E,selected:y,onClick:_,onEdit:x,onDelete:T})=>{const[A,B]=r(!1),R=i(null),M=[...b].sort(),F=()=>B(!1);return e(t,{children:[e(j,{$selected:y,onClick:e=>{e.target!==R.current&&_(k)},"data-testid":"impersonation-user",children:[o(s,{color:v.text.static_icons__tertiary.rgba,data:a}),o(l,{"data-testid":"name",children:f}),e(h,{$selected:y,children:[o(g,{"data-testid":"role",children:M[0]}),M.length>1&&o(S,{title:M.slice(1).join(", "),children:o(g,{"data-testid":"additional-roles",children:"+"+(M.length-1)})})]}),y&&o(s,{data:c,color:v.interactive.primary__resting.rgba}),o(n,{variant:"ghost_icon",ref:R,onClick:()=>B((e=>!e)),children:o(s,{data:p})})]}),A&&e(m,{open:!0,anchorEl:R.current,placement:"right-start",onClose:F,children:[o(P,{label:"Edit user",onClick:()=>{x(k),F()},leadingContent:d}),o(S,{title:E.length>0?"Cannot delete user with active sessions":void 0,children:o(C,{label:"Delete user",onClick:()=>{T(k),F()},disabled:E.length>0,leadingContent:u})})]})]})};export{k as UserImpersonation};
