import { ImageExtensionFnProps, RichTextEditorFeatures } from '../../molecules/RichTextEditor/RichTextEditor.types';
export interface FeaturesProps extends Pick<ImageExtensionFnProps, 'onImageUpload'> {
    features?: RichTextEditorFeatures[];
    extendFeatures?: RichTextEditorFeatures[];
    removeFeatures?: RichTextEditorFeatures[];
}
export declare function getFeatures({ features, extendFeatures, removeFeatures, onImageUpload, }: FeaturesProps): RichTextEditorFeatures[];
/**
 * @deprecated - Use the onImageRead prop instead of tokens
 */
export declare const IMG_WITH_SRC_AND_ALT: RegExp;
/**
 * @deprecated - Use the onImageRead prop instead of tokens
 */
export declare const IMG_WITH_ALT: RegExp;
/**
 * @deprecated - Use the onImageRead prop instead of tokens
 */
export declare function extractImageUrls(value: string | undefined): string[];
/**
 * @deprecated - Use the onImageRead prop instead of tokens
 */
export declare function imageToB64(file: File): Promise<string>;
/**
 * @deprecated - Use the onImageRead prop instead of tokens
 */
export declare function cleanRichTextValue(value: string): string;
