interface StyledDialogProps {
    $withBorders: boolean;
}
export declare const DialogElement: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<Omit<{
    isDismissable?: boolean;
    open: boolean;
    onClose?: () => void;
    dialogRef?: import("react").ForwardedRef<HTMLDialogElement>;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void | import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES[keyof import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES]) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, never>> & string & Omit<import("react").ForwardRefExoticComponent<{
    isDismissable?: boolean;
    open: boolean;
    onClose?: () => void;
    dialogRef?: import("react").ForwardedRef<HTMLDialogElement>;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>> & {
    Actions: typeof import("@equinor/eds-core-react/dist/types/components/Dialog/DialogActions").DialogActions;
    Title: typeof import("@equinor/eds-core-react/dist/types/components/Dialog/DialogTitle").DialogTitle;
    CustomContent: typeof import("@equinor/eds-core-react/dist/types/components/Dialog/DialogContent").DialogContent;
    Content: typeof import("@equinor/eds-core-react/dist/types/components/Dialog/DialogContent").DialogContent;
    Header: typeof import("@equinor/eds-core-react/dist/types/components/Dialog/DialogHeader").DialogHeader;
}, keyof import("react").Component<any, {}, any>>;
export declare const DialogTitle: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<Omit<import("@equinor/eds-core-react").DialogTitleProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void | import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES[keyof import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES]) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, StyledDialogProps>> & string & Omit<import("react").ForwardRefExoticComponent<import("@equinor/eds-core-react").DialogTitleProps & import("react").RefAttributes<HTMLDivElement>>, keyof import("react").Component<any, {}, any>>;
interface DialogContentProps {
    $withContentPadding: boolean;
}
export declare const DialogContent: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<Omit<{
    scrollable?: boolean;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void | import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES[keyof import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES]) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, DialogContentProps>> & string & Omit<import("react").ForwardRefExoticComponent<{
    scrollable?: boolean;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>>, keyof import("react").Component<any, {}, any>>;
export declare const DialogActions: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<Omit<import("@equinor/eds-core-react").DialogActionsProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void | import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES[keyof import("react").DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES]) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, StyledDialogProps>> & string & Omit<import("react").ForwardRefExoticComponent<import("@equinor/eds-core-react").DialogActionsProps & import("react").RefAttributes<HTMLDivElement>>, keyof import("react").Component<any, {}, any>>;
export {};
