import{Typography as i,Tooltip as r,CircularProgress as t}from"@equinor/eds-core-react";import{animation as e}from"../../atoms/style/animation.js";import{colors as o}from"../../atoms/style/colors.js";import{spacings as a}from"../../atoms/style/spacings.js";import s,{css as n}from"styled-components";const d="8px",l=s.div`
  border-radius: 4px;
  margin: 10px 0;
  width: 88px;
  height: 88px;
  box-sizing: border-box;
  position: relative;
  transition: ${e.transitionMS};
  ${({$isError:i})=>i&&n`
      &:hover {
        background: ${o.ui.background__warning.rgba};
      }
    `}
`;s(i)`
  margin: ${a.small} ${a.small} 0 ${a.small};
  color: ${o.text.static_icons__tertiary.rgba};
`;const c=s.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  border: 2px dashed ${o.ui.background__medium.rgba};
  display: flex;
  flex-direction: column;
  gap: ${a.small};
  justify-content: center;
  align-items: center;
  border-radius: ${d};
`,g=s.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  border: 2px solid ${o.ui.background__medium.rgba};
  border-radius: ${d};
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  > img {
    object-fit: cover;
    width: 88px;
    height: 88px;
  }
  > svg {
    width: 40px;
    height: 40px;
  }
`,p=s.div`
  display: flex;
  flex-direction: column;
  gap: ${a.small};
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  font-size: 11px;
  justify-items: center;
  text-align: center;
  border-radius: ${d};
  border: 2px dashed ${o.interactive.warning__text.rgba};
  > div {
    color: ${o.interactive.warning__text.rgba};
  }
`,h=s.div`
  background-color: ${o.text.static_icons__tertiary.rgba};
  border-radius: 50%;
  border: 2px solid ${o.ui.background__light.rgba};
  position: absolute;
  width: 18px;
  height: 18px;
  right: -10px;
  cursor: pointer;
  top: -10px;
  > svg {
    width: 14px;
    height: 14px;
    fill: ${o.ui.background__light.rgba};
  }
`,x=s(i)`
  font-size: 10px;
  padding-top: ${a.x_small};
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  text-wrap: nowrap;
`,m=s(r)`
  white-space: pre;
`,b=s(t)`
  circle {
    stroke: ${o.interactive.primary__resting.rgba};
  }
  circle:first-child {
    stroke: ${o.interactive.primary__hover_alt.rgba};
  }
`;export{x as AdditionalText,d as BORDER_RADIUS,b as CircularProgress,h as CloseButton,l as CompactFileProgressContainer,g as DoneWrapper,m as FileTooltip,c as LoadingWrapper,p as Rejection};
