import{jsxs as r,jsx as t}from"react/jsx-runtime";import{useMemo as i}from"react";import{useDropzone as e}from"react-dropzone";import{Typography as o,Button as a,Icon as s}from"@equinor/eds-core-react";import{folder as n}from"@equinor/eds-icons";import{animation as p}from"../../atoms/style/animation.js";import{colors as m}from"../../atoms/style/colors.js";import{spacings as l}from"../../atoms/style/spacings.js";import"../AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../ApplicationIcon/ApplicationIcon.js";import"../Badge/Badge.styles.js";import"../Banner/Banner.styles.js";import"../Chip/Chip.js";import"../ContentMenu/ContentMenu.js";import"../DatePicker/DatePicker.js";import"../Dialog/Dialog.js";import"../EquinorLogo/EquinorLogo.js";import{BORDER_RADIUS as c}from"../FileProgress/CompactFileProgress.styles.js";import"../RichTextEditor/custom-extensions/AmplifyKit.js";import"../RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../atoms/enums/Environment.js";import"../../atoms/utils/auth_environment.js";import"../../organisms/TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"../../providers/TutorialStepsProvider.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import"../../deprecated/ErrorPage/illustrations/GlitchAnimation.js";import"../../deprecated/ErrorPage/illustrations/QuestioningAnimation.js";import"proj4";import"html2canvas";import"../FileProgress/RegularFileProgress.styles.js";import"../FullPageSpinner/FullPageSpinner.js";import"../InfoElement/InfoElement.js";import{OptionalTooltip as d}from"../OptionalTooltip/OptionalTooltip.js";import"../ProfileAvatar/ProfileAvatar.js";import"@tiptap/react";import"../RichTextEditor/RichTextEditor.styles.js";import"../RichTextEditor/MenuBar/MenuBar.js";import"../RichTextEditor/MenuBar/MenuBar.styles.js";import"../RichTextEditor/MenuBar/MenuButton.js";import"../Search/Search.js";import"react-router-dom";import"../Sieve/Sieve.styles.js";import"../SingleFilterMenu/SingleFilterMenu.js";import"../Skeleton/SkeletonBase/SkeletonBase.js";import"../Stepper/Stepper.js";import"../OptionDrawer/OptionDrawer.js";import"../Select/Select.styles.js";import"../ListItem/ListItem.js";import"../SelectionControls/Checkbox/Checkbox.js";import"../SelectionControls/Radio/Radio.js";import"../SelectionControls/Switch/Switch.js";import{UploadIllustration as u}from"./UploadIllustration.js";import g from"styled-components";const h=g.div`
  display: flex;
  align-items: center;
  gap: ${l.small};
  justify-content: center;
  flex-direction: column;
  min-width: 300px;
  border: 2px dashed ${m.interactive.primary__resting.rgba};
  border-radius: 15px;
  margin-top: 10px;
  padding: ${l.medium_small} ${l.xx_large};
  /* c8 ignore next */
  background: ${m.ui.background__light.rgba};
  transition: background ${p.transitionMS};
  > section {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: ${l.x_small};
    margin: calc(${l.medium_small} / 2) 0;
  }
`,j=g.div`
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 88px;
  height: 88px;
  border: 2px dashed ${m.interactive.primary__resting.rgba};
  border-radius: ${c};
  background: ${m.ui.background__light.rgba};
  transition: background ${p.transitionMS};
  > svg {
    width: 48px;
    height: 48px;
  }
  > p {
    color: ${m.interactive.primary__resting.rgba};
  }
  > p:last-child {
    color: ${m.text.static_icons__tertiary.rgba};
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    text-wrap: nowrap;
    position: absolute;
    bottom: calc((1.6em + ${l.small}) * -1);
  }
  &:hover {
    cursor: pointer;
    background: ${m.interactive.primary__hover_alt.rgba};
  }
`,v=g.div`
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  width: 100%;
  gap: ${l.x_small};
  align-items: center;
  > p {
    color: ${m.text.static_icons__tertiary.rgba};
  }
  > hr {
    width: 100%;
    height: 2px;
  }
`,f=({compact:p,...l})=>{const{getRootProps:c,getInputProps:g,isDragActive:f}=e({...l}),x=i((()=>{if(l.accept)return Object.values(l.accept).join(", ")}),[l.accept]);return p?r(j,{...c(),children:[t("input",{"data-testid":"file-upload-area-input",...g()}),t(u,{}),t(o,{variant:"meta",children:"Upload image"}),l.accept&&t(d,{title:`Supported filetypes: ${x}`,children:r(o,{variant:"meta",children:["(",x,")"]})})]}):r(h,{...c(),onClick:void 0,style:{background:f?m.interactive.primary__hover_alt.rgba:void 0},children:[t("input",{"data-testid":"file-upload-area-input",...g()}),t(u,{}),r("section",{children:[t(o,{variant:"button",group:"navigation",children:"Drag files here to upload."}),l.accept&&r(o,{group:"paragraph",variant:"meta",color:m.text.static_icons__tertiary.rgba,children:["Supported filetypes: ",x]})]}),r(v,{children:[t("hr",{}),t(o,{variant:"button",group:"navigation",children:"OR"}),t("hr",{})]}),r(a,{variant:"ghost",onClick:c().onClick,children:[t(s,{data:n}),"Browse files"]})]})};export{f as FileUploadArea};
