import{Button as e}from"@equinor/eds-core-react";import{tokens as i}from"../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import"../../../atoms/style/colors.js";import{spacings as r}from"../../../atoms/style/spacings.js";import t from"styled-components";const{colors:d,shape:o}=i,a=t.div`
  border-bottom: 1px solid ${d.ui.background__light.rgba};
  display: flex;
  flex-direction: column;

  padding: ${r.small} ${r.medium} ${r.medium}
    ${r.medium};
  > p {
    margin-left: ${r.small};
  }
`,l=t.div`
  display: flex;
  align-items: flex-start;
  > p {
    text-align: center;
  }
`,s=t.div`
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding-top: ${r.small};
  justify-items: center;
  gap: ${r.small};
`,n=t.div`
  > div {
    display: grid;
    grid-template-columns: 1fr 24px;
    justify-content: space-between;
    width: 100%;
  }
  &:hover {
    background: ${d.interactive.primary__selected_hover.rgba};
    cursor: pointer;
  }
  border-top: 1px solid ${d.ui.background__light.rgba};
  outline: none !important;
  padding: ${r.medium};
  svg {
    align-self: center;
  }
`,m=t.div`
  display: flex;
  flex-direction: column;
  > h6 {
    text-transform: capitalize;
  }
`,p=t.div`
  display: flex;
  padding: ${r.medium};
`,c=t.div`
  display: flex;
  padding: ${r.large};
  align-items: center;
  grid-column: span 3;
`,g=t.div`
  display: flex;
  width: 100%;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  background: ${({$isSelected:e})=>e?d.interactive.primary__selected_highlight.rgba:"none"};
  border-radius: ${o.corners.borderRadius};
  &:hover {
    background: ${d.interactive.primary__hover_alt.rgba};
    border-radius: ${o.corners.borderRadius};
  }
`,u=t(e)`
  height: 96px;

  > span {
    display: flex;
    flex-direction: column;
  }
`;export{g as ApplicationBox,u as ApplicationButton,s as ApplicationContent,l as ApplicationName,c as LoadingApplications,n as MenuFixedItem,a as MenuSection,p as NoApplications,m as TextContainer};
