import { Dispatch, FC, ReactNode, SetStateAction } from 'react';
import { ReleaseNote } from '@equinor/subsurface-app-management';
import { SieveOption, SieveValue } from '../molecules/Sieve/Sieve.types';
import { TableOfContentsItemType } from './TableOfContentsProvider';
interface ReleaseNotesContextState {
    search: SieveValue;
    setSearch: Dispatch<SetStateAction<SieveValue>>;
    selectedReleaseNoteTypes?: SieveOption[];
    open: boolean;
    setOpen: (open: boolean) => void;
    toggle: () => void;
    filteredData: ReleaseNote[];
    releaseNotesYears: TableOfContentsItemType[];
}
export declare const useReleaseNotes: () => ReleaseNotesContextState;
interface ReleaseNotesContextProviderProps {
    children: ReactNode;
    enabled?: boolean;
}
export declare const ReleaseNotesProvider: FC<ReleaseNotesContextProviderProps>;
export {};
