import{Snackbar as t}from"@equinor/eds-core-react";import{colors as i}from"../../atoms/style/colors.js";import{spacings as r}from"../../atoms/style/spacings.js";import a,{css as e}from"styled-components";const n={info:{outline:i.text.static_icons__default.rgba,text:i.text.static_icons__primary_white.rgba,icon:i.text.static_icons__primary_white.rgba},warning:{outline:i.interactive.warning__highlight.rgba,text:i.ui.background__warning.rgba,icon:i.interactive.warning__resting.rgba},error:{outline:i.interactive.danger__highlight.rgba,text:i.ui.background__danger.rgba,icon:i.interactive.danger__resting.rgba}},o=a(t)`
  display: grid;
  align-items: center;
  grid-template-columns: auto 1fr auto;
  gap: ${r.small};
  max-width: 512px;
  min-width: calc(300px - ${r.medium} * 2);
  background: ${i.text.static_icons__default.rgba};
  padding: ${r.small} ${r.small} ${r.small}
    ${r.medium};
  min-height: unset;
  &:has(div > button) {
    grid-template-columns: auto 1fr auto auto;
  }
  > div > button:hover,
  > button:hover {
    color: ${i.text.static_icons__default.rgba};
    background: ${i.ui.background__light.rgba};
    svg {
      fill: ${i.text.static_icons__default.rgba};
    }
  }
  > button {
    height: 36px;
    width: 36px;
  }
  ${({$variant:t})=>{if(!t)return"";const{outline:i,text:r,icon:a}=n[t];return e`
      outline: 1px solid ${i};

      p,
      button {
        color: ${r};
      }
      svg {
        fill: ${r};
      }
      > svg:first-child {
        fill: ${a};
      }
    `}}
`;export{o as StyledSnackbar};
